Feature Request: Update Firefox version to >=63

edited July 10, 2020
The User-Agent header shows that Zotero is based on Firefox 60.0. Since Firefox 60 doesn't support TLSv1.3 (the final version of TLSv1.3 is supported on Firefox 63 and newer), I cannot access my custom WebDav server (TLSv1.3 only) to sync files. Would it be easy to update the Firefox version?
  • Can anyone point to me where (perhaps in https://github.com/zotero/zotero-standalone-build?) I can change to build Zotero with updated Firefox version?
  • It is likely to break various things/not work at all, but you should follow the client building instructions and set up a dev build first to make sure it all works fine, then change the version number in config.sh based on Firefox version numbers, re-fetch the xulrunner and try building again.

    If you have any technical questions you should post to zotero-dev mailing list where we have development discussions.
  • edited 26 days ago
    @xz1744: It will almost certainly be easier to set up a new WebDAV server or configure yours to accept draft TLSv1.3 or TLSv1.2 than to get Zotero running on a different version of Firefox yourself. Doing so requires significant knowledge of both Firefox and Zotero internals and possibly significant code changes to both, and we can't provide any support for it.
  • @dstillman OK, I'll wait for the development team to update Firefox. You guys do plan to update to 68esr or 78esr right?
Sign In or Register to comment.